/*
 * led.c
 *
 * Created: 19.07.2021 1:00:11
 *  Author: ZHE
 */ 
#include "led.h"
//-------------------------------------------
void set_LED (uint16_t adc_data)
{
#ifdef INVERT_LED	
	uint8_t buf=0xFF;
	#define LEDBIT(b) buf&=~(1<<b);
#else 
	uint8_t buf=0x00;
	#define LEDBIT(b) buf|=(1<<b);
#endif	
	
	if (adc_data>LEVEL7) LEDBIT(7);
	if (adc_data>LEVEL6) LEDBIT(6);
	if (adc_data>LEVEL5) LEDBIT(5);
	if (adc_data>LEVEL4) LEDBIT(4);
	if (adc_data>LEVEL3) LEDBIT(3);
	if (adc_data>LEVEL2) LEDBIT(2);
	if (adc_data>LEVEL1) LEDBIT(1);
	if (adc_data>LEVEL0) LEDBIT(0);	
	
	PORTD=buf;
}

void init_LED(void)
{
#ifdef INVERT_LED
	PORTD=0xFF;
#endif
	DDRD=0xFF;
}