/*
 * SEMS_CONDUCTOR.c
 *
 * Created: 18.07.2021 12:19:36
 * Author : ZHE
 */ 


#include "DEF_GL.h"
#include "Generator.h"
#include "ADC_Sampler.h"
#include "led.h"

void set_LED (uint16_t adc_data);

volatile uint8_t flag_stop_adc;

uint16_t aver_adc;

int main(void)
{
	init_LED();
	init_ADC();
    init_Gen();
	//start_GEN();
	init_Repeater();
	
	 sei(); 
    while (1) 
    {
		if (flag_stop_adc)
			{
				flag_stop_adc=0;
				set_LED(get_AverADC());
			};
    }
}


